> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Report

This request enables you to retrieve details of a report based on their `id`, which needs to be provided in the request path.


## OpenAPI

````yaml openapi/reports/retrieve-a-report.json GET /reports/{report_id}
openapi: 3.1.0
info:
  title: reports-api
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /reports/{report_id}:
    get:
      summary: Retrieve a Report
      operationId: retrieve-a-report
      parameters:
        - name: X-Organization-Code
          in: header
          required: true
          schema:
            type: string
          description: Organization code associated to the request.
        - name: report_id
          in: path
          description: The unique identifier of the report.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 5104911d-5df9-229e-8468-bd41abea1
                    type: TRANSACTIONS
                    start_date: '2022-05-09T20:46:54.786342Z'
                    end_date: '2022-05-09T20:46:54.786342Z'
                    merchant_reference_id: Merchant_report_1234
                    created_at: '2022-05-16T20:46:54.786342Z'
                    updated_at: '2022-05-16T20:46:54.786342Z'
                    expires_at: '2022-05-16T20:46:54.786342Z'
                    status: SUCCEEDED
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 5104911d-5df9-229e-8468-bd41abea1
                  type:
                    type: string
                    example: TRANSACTIONS
                  start_date:
                    type: string
                    example: '2022-05-09T20:46:54.786342Z'
                  end_date:
                    type: string
                    example: '2022-05-09T20:46:54.786342Z'
                  merchant_reference_id:
                    type: string
                    example: Merchant_report_1234
                  created_at:
                    type: string
                    example: '2022-05-16T20:46:54.786342Z'
                  updated_at:
                    type: string
                    example: '2022-05-16T20:46:54.786342Z'
                  expires_at:
                    type: string
                    example: '2022-05-16T20:46:54.786342Z'
                  status:
                    type: string
                    example: SUCCEEDED
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Unauthorized:
                  value: ''
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````